package | JAMA For an m-by-n matrix A with m >= n, the singular value decomposition is an m-by-n orthogonal matrix U, an n-by-n diagonal matrix S, and an n-by-n orthogonal matrix V so that A = U*S*V'. The singular values, sigma[$k] = S[$k][$k], are ordered so that sigma[0] >= sigma[1] >= ... >= sigma[n-1]. The singular value decompostion always exists, so the constructor will never fail. The matrix condition number and the effective numerical rank can be computed from this decomposition.
author | Paul Meagher
license | PHP v3.0
version | 1.1

### Methods

## Construct the singular value decomposition

    __construct($Arg) : \Structure

Derived from LINPACK code.

### Parameters

#### $Arg

### Returns

`\Structure`to access U, S and V.

## Two norm condition number

    cond() : \max(S)/min(S)

access | public

### Returns

`\max(S)/min(S)`

## Return the diagonal matrix of singular values

    getS() : \S

access | public

### Returns

`\S`

## Return the one-dimensional array of singular values

    getSingularValues() : \diagonal

access | public

### Returns

`\diagonal`of S.

## Return the left singular vectors

    getU() : \U

access | public

### Returns

`\U`

## Return the right singular vectors

    getV() : \V

access | public

### Returns

`\V`

## Two norm

    norm2() : \max(S)

access | public

### Returns

`\max(S)`

## Effective numerical matrix rank

    rank() : \Number

access | public

### Returns

`\Number`of nonnegligible singular values.

### Properties

##

    $U : array

##

    $V : array

##

    $m : int

##

    $n : int

##

    $s : array